Gwibber python 3 port

Bug #1042344 reported by Ken VanDine on 2012-08-27
16
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Gwibber
High
Barry Warsaw
gwibber (Ubuntu)
High
Unassigned

Bug Description

The port of the gwibber-service to python 3 is nearly complete and it would be great to land this in 12.10.

Along with being ported to python 3, this port includes an extensive new test suite. The port was done entirely using TDD, so the test suite was created from scratch and port was done to the tests. The test suite alone would be a great reason to get this in 12.10.

Related branches

Changed in gwibber:
assignee: nobody → Barry Warsaw (barry)
status: New → Triaged
importance: Undecided → High
Changed in gwibber (Ubuntu):
importance: Undecided → High
assignee: nobody → Robert Bruce Park (robru)
status: New → Triaged
Barry Warsaw (barry) on 2012-08-27
Changed in gwibber:
status: Triaged → In Progress
Stefano Rivera (stefanor) wrote :

Erm, triaged means FFe approved, setting back to New.

Changed in gwibber (Ubuntu):
status: Triaged → New
Iain Lane (laney) wrote :

Is this actually ready now?

The testsuite sounds nice (jenkins?), what about the packaging? Could you attach a diff of debian/ for us to review?

On Sep 10, 2012, at 11:23 AM, Iain Lane wrote:

>Is this actually ready now?

Sorry, no. We've decided to postpone this until 13.10. I removed the FFe
from the bug description, but I don't think I can unsubscribe ~ubuntu-release

summary: - [FFE] Gwibber python 3 port
+ Gwibber python 3 port
Iain Lane (laney) wrote :

On Mon, Sep 10, 2012 at 09:51:01AM -0400, Barry Warsaw wrote:
> On Sep 10, 2012, at 11:23 AM, Iain Lane wrote:
>
> >Is this actually ready now?
>
> Sorry, no. We've decided to postpone this until 13.10. I removed the FFe
> from the bug description, but I don't think I can unsubscribe ~ubuntu-release

 status incomplete
 unsubscribe ubuntu-release

OK, please twiddle as appropriate when done.

--
Iain Lane [ <email address hidden> ]
Debian Developer [ <email address hidden> ]
Ubuntu Developer [ <email address hidden> ]

Changed in gwibber (Ubuntu):
status: New → Incomplete
Robert Bruce Park (robru) wrote :

So this is *very* close to being done, with just a few very minor bugs outstanding. The port has actually surpassed feature parity with the old python2 codebase. Since the port grew into a ground-up rewrite, we've renamed it and it's now living in lp:friends.

Changed in gwibber (Ubuntu):
status: Incomplete → Fix Committed
Dimitri John Ledkov (xnox) wrote :

@ Robert

Was a python3 gwibber package uploaded into ubuntu? If not "Fix Committed" is not correct status. Maybe there should be a new task open? e.g. the friends project?

Robert Bruce Park (robru) wrote :

No, a gwibber package featuring a python3 port was never uploaded to ubuntu, and won't ever be. 'Gwibber' for all intents and purposes should be considered abandoned at this point (at least the gwibber-service and libgwibber backends anyway).

friends-service is essentially a ground-up rewrite (hence the new name) that is vastly more compact and efficient, and it has not just matched but *surpassed* feature parity with the old gwibber.

With that in mind, I'm not sure what status you feel would be correct for this bug, but however you look at it, the porting is done and friends is running really smoothly ;-)

Barry Warsaw (barry) on 2012-11-20
Changed in gwibber:
status: In Progress → Fix Committed
Changed in gwibber (Ubuntu):
assignee: Robert Bruce Park (robru) → nobody
Jackson Doak (noskcaj) wrote :

13.10 is nearly out. Is this fixed yet?

Jackson Doak (noskcaj) on 2014-02-24
Changed in gwibber:
status: Fix Committed → Fix Released
Changed in gwibber (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers